Package org.codehaus.groovy.ast.decompiled

## Class AsmReferenceResolver

- java.lang.Object
- - org.codehaus.groovy.ast.decompiled.AsmReferenceResolver

-     public class AsmReferenceResolver
      extends Object

  A helper class used to resolve references found in ASM-decompiled classes.
  See Also:
    `DecompiledClassNode`, `AsmDecompiler`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AsmReferenceResolver​(ClassNodeResolver resolver, CompilationUnit unit)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ClassNode` | `resolveClass​(String className)` |
    `ClassNode` | `resolveClassNullable​(String className)` |
    `Class` | `resolveJvmClass​(String name)` |
    `ClassNode` | `resolveType​(org.objectweb.asm.Type type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsmReferenceResolver

          public AsmReferenceResolver​(ClassNodeResolver resolver,
                                      CompilationUnit unit)

  - ### Method Detail

    - #### resolveClass

          public ClassNode resolveClass​(String className)

    - #### resolveClassNullable

          public ClassNode resolveClassNullable​(String className)

    - #### resolveType

          public ClassNode resolveType​(org.objectweb.asm.Type type)

    - #### resolveJvmClass

          public Class resolveJvmClass​(String name)